## org.gnu.gtk.event
Class CalendarEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.CalendarEvent.Type

Enclosing class:
  CalendarEvent

public static class CalendarEvent.Type
extends EventType

Type of a CalendarEvent

Field Summary
`static CalendarEvent.Type` `DAY_SELECTED` Emitted when the user selects a day.
`static CalendarEvent.Type` `DAY_SELECTED_DOUBLE_CLICK` Emitted when the user double-clicks on a day.
`static CalendarEvent.Type` `MONTH_CHANGED_NEXT` Emitted when the user clicks a button to change the selected month.
`static CalendarEvent.Type` `MONTH_CHANGED_PREV` Emitted when the user clicks a button to change the selected month.
`static CalendarEvent.Type` `YEAR_CHANGED_NEXT` Emitted when the user clicks a button to change the selected year.
`static CalendarEvent.Type` `YEAR_CHANGED_PREV` Emitted when the user clicks a button to change the selected year.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DAY_SELECTED

    public static final CalendarEvent.Type DAY_SELECTED

  Emitted when the user selects a day.

### DAY_SELECTED_DOUBLE_CLICK

    public static final CalendarEvent.Type DAY_SELECTED_DOUBLE_CLICK

  Emitted when the user double-clicks on a day.

### MONTH_CHANGED_NEXT

    public static final CalendarEvent.Type MONTH_CHANGED_NEXT

  Emitted when the user clicks a button to change the selected month.

### MONTH_CHANGED_PREV

    public static final CalendarEvent.Type MONTH_CHANGED_PREV

  Emitted when the user clicks a button to change the selected month.

### YEAR_CHANGED_NEXT

    public static final CalendarEvent.Type YEAR_CHANGED_NEXT

  Emitted when the user clicks a button to change the selected year.

### YEAR_CHANGED_PREV

    public static final CalendarEvent.Type YEAR_CHANGED_PREV

  Emitted when the user clicks a button to change the selected year.